## dynare 4.0.3

=== doc/Makefile ===
all: guide.pdf manual-html/index.html manual.pdf bvar-a-la-sims.pdf
	make -C preprocessor
	make -C macroprocessor
	make -C userguide

guide.pdf: guide.tex guide.bbl bibmad.sty
	pdflatex guide
	pdflatex guide

bvar-a-la-sims.pdf: bvar-a-la-sims.tex
	pdflatex bvar-a-la-sims
	pdflatex bvar-a-la-sims

manual-html/index.html: manual.xml dynare_html.xsl
	# Make sure that you have installed the docbook-xsl package, otherwise xsltproc will take a very long time
	xsltproc -stringparam base.dir ./manual-html/ dynare_html.xsl manual.xml 

manual.pdf: manual.xml
	dblatex manual.xml

clean:
	rm -f *~
	rm -f guide.{pdf,log,aux}
	rm -f bvar-a-la-sims.{pdf,log,aux}
	rm -rf manual.pdf manual-html
	make -C preprocessor clean
	make -C macroprocessor clean
	make -C userguide clean

=== doc/macroprocessor/Makefile ===
macroprocessor.pdf: macroprocessor.tex old-design.pdf new-design.pdf
	pdflatex macroprocessor
	pdflatex macroprocessor

clean:
	rm -f macroprocessor.{pdf,toc,aux,log,nav,snm,vrb,out} *~

=== doc/preprocessor/Makefile ===
preprocessor.pdf: preprocessor.tex expr.png expr-sharing.png matrices.png overview.png
	pdflatex preprocessor
	pdflatex preprocessor

clean:
	rm -f preprocessor.{pdf,toc,aux,log,nav,snm,vrb,out} *~

## dynare 4.0.4

=== Makefile ===
DYNARE_VERSION=4.0.4

DYNAREBASE=dynare-$(DYNARE_VERSION)

all:
.PHONY: all

check:
	make -C tests $@ DYNARE_VERSION=$(DYNARE_VERSION)
.PHONY: check

srctarball:
	make -C preprocessor clean
	make -C doc clean
	make -C tests clean
	rm -f matlab/dynare_m matlab/dynare_m.exe
	rm -f mex/2007a/* mex/2007b/* mex/octave/*.mex
	rm -f windows/*.exe
	tar cvzf ../$(DYNAREBASE).tar.gz --transform 's,^\./,$(DYNAREBASE)/,' --exclude=debian --exclude='*~' --exclude-vcs .
.PHONY: srctarball

=== doc/Makefile ===
--- 
+++ 
@@ -19,10 +19,8 @@
 	dblatex manual.xml
 
 clean:
-	rm -f *~
-	rm -f guide.{pdf,log,aux}
-	rm -f bvar-a-la-sims.{pdf,log,aux}
-	rm -rf manual.pdf manual-html
+	rm -f *~ *.pdf *.log *.aux
+	rm -rf manual-html
 	make -C preprocessor clean
 	make -C macroprocessor clean
 	make -C userguide clean

=== preprocessor/Makefile ===
include Makefile.include

ifeq ($(shell uname -o), Cygwin)
	DYNARE_M = dynare_m.exe
else 
	DYNARE_M = dynare_m
endif

ifeq ($(CROSS_WIN32), yes)
	DYNARE_M = dynare_m.exe
endif

OBJS = \
	DynareFlex.o \
	DynareBison.o \
	ComputingTasks.o \
	ModelTree.o \
	NumericalConstants.o \
	NumericalInitialization.o \
	Shocks.o \
	SigmaeInitialization.o \
	SymbolTable.o \
	SymbolList.o \
	VariableTable.o \
	ParsingDriver.o \
	DataTree.o \
	ModFile.o \
	Statement.o \
	ExprNode.o \
	ModelNormalization.o \
	ModelBlocks.o \
	BlockTriangular.o \
	Model_Graph.o \
	SymbolGaussElim.o \
	DynareMain.o \
	DynareMain2.o


# Build rules

all: all-recursive $(DYNARE_M)

all-recursive:
	make -C macro

$(DYNARE_M): $(OBJS) macro/libmacro.a
	$(CXX) $(CXXFLAGS) -o $(DYNARE_M) $(OBJS) -Lmacro -lmacro
	cp $(DYNARE_M) ../matlab/


# Dependencies

-include $(OBJS:.o=.P)

DynareFlex.cc: DynareFlex.ll include/DynareBison.hh include/ParsingDriver.hh
	flex -oDynareFlex.cc DynareFlex.ll

DynareBison.cc include/DynareBison.hh: DynareBison.yy include/ParsingDriver.hh
	bison --verbose -o DynareBison.cc DynareBison.yy
	mv DynareBison.hh location.hh stack.hh position.hh include/


# Clean

clean: clean-recursive
	rm -f *.o *.P \
		*~ include/*~ \
		DynareFlex.cc \
		DynareBison.output \
		DynareBison.cc \
		include/position.hh \
		include/stack.hh \
		include/location.hh \
		include/DynareBison.hh \
		$(DYNARE_M)

clean-recursive:
	make -C macro clean

.PHONY: all all-recursive clean clean-recursive

=== tests/Makefile ===
OCTAVE = octave

DYNARE_ROOT = `pwd`/../matlab

# Under Octave we only test a subset of MOD files, because of missing features (models with unit roots, reading Excel files)
OCTAVE_MODS = \
	ramst.mod \
	ramst_a.mod \
	example1.mod \
	t_sgu_ex1.mod \
	arima/mod1.mod \
	arima/mod1a.mod \
	arima/mod2.mod \
	arima/mod2c.mod \
	fs2000/fs2000.mod \
	homotopy/ramst_homotopy.mod

MODS = $(OCTAVE_MODS) \
	arima/mod1b.mod \
	arima/mod1c.mod \
	arima/mod2a.mod \
	arima/mod2b.mod \
	fs2000/fs2000a.mod \
	bvar_a_la_sims/bvar_standalone.mod \
	bvar_a_la_sims/bvar_and_dsge.mod

check: check-octave check-matlab
.PHONY: check

check-octave: $(OCTAVE_MODS)
ifdef OCTAVE
	@set -e; \
		for modfile in $(OCTAVE_MODS); do \
			GNUTERM=dumb $(OCTAVE) --norc --silent --no-history run_test_octave.m $$modfile $(DYNARE_ROOT) $(DYNARE_VERSION); \
		done
endif
.PHONY: check-octave

check-matlab: $(MODS)
# MATLAB stuff to be added here
.PHONY: check-matlab

clean:
	# Files generated by the preprocessor
	rm -f $(patsubst %.mod, %.m, $(MODS)) \
		$(patsubst %.mod, %_static.m, $(MODS)) \
		$(patsubst %.mod, %_dynamic.m, $(MODS))

	# Results
	rm -f $(patsubst %.mod, %_results.mat, $(MODS)) \
		$(patsubst %.mod, %_mode.mat, $(MODS)) \
		$(patsubst %.mod, %_mh_mode.mat, $(MODS)) \
		$(patsubst %.mod, %_mean.mat, $(MODS)) \
		$(patsubst %.mod, %_pindx.mat, $(MODS)) \
		$(patsubst %.mod, %_params.mat, $(MODS)) \
		$(patsubst %.mod, %.log, $(MODS))
	rm -rf $(patsubst %.mod, %, $(MODS))

	# Graphics
	rm -f $(patsubst %.mod, %*.pdf, $(MODS)) \
		$(patsubst %.mod, %*.eps, $(MODS)) \
		$(patsubst %.mod, %*.fig, $(MODS))

	# Files generated by csminwel.m
	rm -f $(shell find -name g1.mat) \
		$(shell find -name g2.mat) \
		$(shell find -name g3.mat) \
		$(shell find -name H.dat)

	# Generated data files
	rm -f arima/data1.m arima/data2.m

	# Backup files
	rm -f $(shell find -name '*~')

.PHONY: clean

=== doc/macroprocessor/Makefile ===
--- 
+++ 
@@ -3,4 +3,4 @@
 	pdflatex macroprocessor
 
 clean:
-	rm -f macroprocessor.{pdf,toc,aux,log,nav,snm,vrb,out} *~
+	rm -f macroprocessor.pdf *.toc *.aux *.log *.nav *.snm *.vrb *.out *~

=== doc/preprocessor/Makefile ===
--- 
+++ 
@@ -3,4 +3,4 @@
 	pdflatex preprocessor
 
 clean:
-	rm -f preprocessor.{pdf,toc,aux,log,nav,snm,vrb,out} *~
+	rm -f *.pdf *.toc *.aux *.log *.nav *.snm *.vrb *.out *~

=== doc/userguide/Makefile ===
all: UserGuide.pdf

SRC = UserGuide.tex Graphics/DynareTitle.pdf DynareBib.bib \
	ch-intro.tex ch-inst.tex ch-solbase.tex ch-soladv.tex ch-estbase.tex \
	ch-estadv.tex ch-solbeh.tex ch-estbeh.tex ch-ramsey.tex ch-trouble.tex

UserGuide.pdf: 
	pdflatex UserGuide
	bibtex UserGuide
	pdflatex UserGuide
	pdflatex UserGuide

clean:
	rm -f *.log *.aux *.toc *.lof *.blg *.bbl *.out
	rm -f UserGuide.pdf

=== preprocessor/macro/Makefile ===
include ../Makefile.include

OBJ = MacroFlex.o MacroBison.o MacroDriver.o MacroValue.o

libmacro.a: $(OBJ)
	$(AR) crs libmacro.a $(OBJ)

-include $(OBJ:.o=.P)

MacroFlex.cc: MacroFlex.ll MacroBison.hh MacroDriver.hh
	flex -oMacroFlex.cc MacroFlex.ll

MacroBison.cc MacroBison.hh: MacroBison.yy MacroDriver.hh
	bison --verbose -o MacroBison.cc MacroBison.yy

clean: 
	rm -f *.o *.P *~ \
		MacroFlex.cc \
		MacroBison.output \
		MacroBison.cc \
		MacroBison.hh \
		location.hh \
		stack.hh \
		position.hh \
		libmacro.a

.PHONY: clean

## dynare 4.1.1

=== debian/changelog ===
dynare (4.1.1-2) unstable; urgency=low

  * debian/po/es.po: new Spanish debconf translation (closes: #584455)

 -- Jordi Gutiérrez Hermoso <jordigh@gmail.com>  Sat, 05 Jun 2010 14:27:32 -0500

dynare (4.1.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * debian/copyright:
    Updated for the new release.
  * debian/fhs-compliance,
    debian/build-matlab:
    Refreshed patches.
  * debian/dynare-matlab.postinst:
    Fixed bug with recent versions of MATLAB.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 Apr 2010 23:01:40 +0200

dynare (4.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control:
    + Update Standards-Version to 3.8.4, no additional changes needed.
    + Bump dependency on debhelper (>=7.0.50), because using override rules
      in debian/rules.
  * debian/watch:
    Update for new upstream website.
  * debian/rules:
    + Complete rewrite using override rules from debhelper.
    + No longer run the testsuite (too long, creates problems on some archs).
    + Use uscan in get-orig-source rule.
  * debian/patches/testsuite-fs2000,
    debian/patches/testsuite-blas-singularity:
    Removed patches, no longer necessary since we don't run the testsuite.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 28 Feb 2010 20:19:50 +0100

dynare (4.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream version
  * Add standalone dynare++ program to the package, with a dedicated manpage.
  * debian/patches/testsuite-octave3.2-crash-workaround,
    debian/patches/mcmcdiagnostics,
    debian/patches/manual-fix-for-debian,
    debian/patches/rows-name-clash:
    Removed patches, incorporated upstream.
  * debian/patches/build-matlab,
    debian/patches/extra-addpath,
    debian/patches/fhs-compliance,
    debian/patches/testsuite-fs2000:
    Refreshed patches.
  * debian/patches/testsuite-blas-singularity:
    New patch, avoids failure when Netlib BLAS is used instead of Atlas.
  * debian/copyright: rewritten using DEP-5 machine-readable format.
  * Switch to 3.0 (quilt) source format. As a consequence, removed
    debian/README.source.

  [ Thomas Weber ]
  * Bump dependency on dblatex to (>=0.2.12-3), to get a proper handling of
    backslashes in <filename>C:\windows</filename> elements.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 15 Jan 2010 16:14:25 +0100

dynare (4.0.4-6) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/patches/testsuite-octave3.2-crash-workaround:
    Better workaround for bug #550823.
  * debian/po/ru.po:
    New Russian translation by Yuri Kozlov (closes: #552444).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 27 Oct 2009 08:46:16 +0100

dynare (4.0.4-5) unstable; urgency=low

  * Pass --no-history flag to Octave at build time, to avoid writing to a
    non-existant directory (closes: #548572)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Sep 2009 22:28:29 +0200

dynare (4.0.4-4) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control:
    + Depend on Octave 3.2 (>= 3.2.2, since 3.2.0 has a buggy 'which').
    + Add a build conflict with octave3.0.
    + Update Standards-Version to 3.8.3, no additional changes needed.
    + Added missing dependency of dynare-matlab on dynare.
  * debian/copyright:
    Updated e-mail address of Marco Ratto.
  * debian/rules:
    No longer install rcond.m (rcond is now a primitive in Octave 3.2).
  * debian/README.Debian:
    Remove references to mark_as_command (no longer needed in Octave 3.2).
  * debian/patches/mcmcdiagnostics:
    New patch for bug in metropolis-hastings diagnostics routine.
  * debian/patches/testsuite-octave3.2-crash-workaround:
    New patch implementing workaround for weird Octave 3.2.2 bug.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 24 Sep 2009 21:45:31 +0200

dynare (4.0.4-3) unstable; urgency=low

  * debian/po/cs.po:
    New Czech translation by Martin Sin (closes: #535979)
  * debian/po/de.po:
    New German translation by Helge Kreutzmann (closes: #538235)
  * debian/po/pt.po:
    Updated Portuguese translation by Rui Branco (closes: #541101)

 -- Christian T. Steigies <cts@debian.org>  Fri, 14 Aug 2009 18:43:02 +0200

dynare (4.0.4-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control: Added missing build dependency on gnuplot-nox

 -- Christian T. Steigies <cts@debian.org>  Fri, 03 Jul 2009 20:09:03 +0200

dynare (4.0.4-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release:
    + debian/patches/bashisms-in-makefiles:
      - Dropped, incorporated upstream.
    + debian/patches/table-name-clash:
      - Dropped, incorporated upstream.
    + debian/patches/build-matlab:
      - Refreshed patch.
    + debian/dynare-matlab.install:
      - Added new source header for MEX files.
    + debian/rules:
      - Fixed get-orig-source rule.
  * debian/control:
    + Update Standards-Version to 3.8.2, no additional changes needed.
  * debian/rules:
    + Exercise the testsuite in the build rule.
  * debian/patches/testsuite-fs2000:
    + New patch diminishing the computation time of the testsuite.
  * debian/po/sv.po:
    + New Swedish translation contributed by Martin Bagge. (Closes: #533891)
  * debian/dynare-matlab.postinst:
    + Added -p option to mkdir for idempotence.
  * Added example MOD files in dynare-doc package:
    + debian/dynare-doc.examples:
      - New file.
    + debian/README.Debian:
      - Updated to mention the presence of examples in dynare-doc package.

  [ Christian T. Steigies ]
  * remove Rafael from uploaders, added Thomas and myself

 -- Christian T. Steigies <cts@debian.org>  Thu, 02 Jul 2009 22:41:37 +0200

dynare (4.0.3-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Switch the Vcs-* fields to the new Git repository

  [ Sébastien Villemot ]
  * dynare-matlab: new contrib binary package aimed at MATLAB users. Contains


=== debian/control ===
Source: dynare
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
 Thomas Weber <tweber@debian.org>,
 Christian T. Steigies <cts@debian.org>,
 Jordi Gutiérrez Hermoso <jordigh@gmail.com>
DM-Upload-Allowed: yes
Section: math
Priority: optional
Build-Depends: debhelper (>= 7.0.50), octave3.2-headers (>= 3.2.2),
 libboost-graph-dev, texlive, texlive-publishers, texlive-extra-utils,
 texlive-formats-extra, xsltproc, dblatex (>=0.2.12-3), latex-beamer, docbook-xsl,
 quilt, po-debconf, gnuplot-nox
Build-Conflicts: octave3.0
Standards-Version: 3.8.4
Homepage: http://www.dynare.org/
Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git

Package: dynare
Architecture: any
Depends: octave3.2 (>= 3.2.2), dynare-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: dynare-doc
Recommends: octave3.2-headers (>= 3.2.2)
Description: suite for non-linear models with forward looking variables
 Dynare is a pre-preprocessor and a collection of GNU Octave and
 MATLAB routines which can solve, simulate and estimate non-linear
 models with forward looking variables.
 .
 In particular, in the field of computational economics, it is used
 for solving and estimating dynamic stochastic general equilibrium
 (DSGE) models.
 .
 This package provides a full installation of Dynare for GNU Octave.
 .
 It contains:
  * the binary preprocessor
  * dynamic loadable libraries for faster computation, compiled for Octave
  * the standalone program Dynare++ for higher-order approximations

Package: dynare-common
Architecture: all
Depends: ${misc:Depends}
Description: platform independent files for Dynare
 Dynare is a pre-preprocessor and a collection of GNU Octave and
 MATLAB routines which can solve, simulate and estimate non-linear
 models with forward looking variables.
 .
 In particular, in the field of computational economics, it is used
 for solving and estimating dynamic stochastic general equilibrium
 (DSGE) models.
 .
 This package contains the various M-files which can be run under
 both GNU Octave and MATLAB.

Package: dynare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for Dynare
 Dynare is a pre-preprocessor and a collection of GNU Octave and
 MATLAB routines which can solve, simulate and estimate non-linear
 models with forward looking variables.
 .
 In particular, in the field of computational economics, it is used
 for solving and estimating dynamic stochastic general equilibrium
 (DSGE) models.
 .
 This package contains full Dynare documentation, including a user
 guide and the reference manual.

Package: dynare-matlab
Architecture: all
Section: contrib/math
Depends: ${misc:Depends}, debconf | debconf-2.0, sudo, dynare
Description: MEX files for MATLAB users of Dynare
 Dynare is a pre-preprocessor and a collection of GNU Octave and
 MATLAB routines which can solve, simulate and estimate non-linear
 models with forward looking variables.
 .
 In particular, in the field of computational economics, it is used
 for solving and estimating dynamic stochastic general equilibrium
 (DSGE) models.
 .
 This package is only useful to users having MATLAB installed on their
 machine. It contains the source of the MEX files and will recompile
 them using the existing MATLAB installation.

## dynare 4.1.2

=== debian/changelog ===
dynare (4.1.2-2) unstable; urgency=low

  * debian/po/da.po: new Danish debconf translation (closes: #589866)

 -- Thomas Weber <tweber@debian.org>  Sun, 15 Aug 2010 23:44:34 +0200

dynare (4.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    Updated to reflect upstream changes.
  * debian/dynare-doc.examples:
    Use the new examples database.
  * debian/control:
    Update Standards-Version to 3.9.0, no additional changes needed.

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 05 Jul 2010 16:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  texlive-formats-extra, xsltproc, dblatex (>=0.2.12-3), latex-beamer, docbook-xsl,
  quilt, po-debconf, gnuplot-nox
 Build-Conflicts: octave3.0
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/octave/debian/defs.make

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all pdf html

# Don't run the testsuite
override_dh_auto_test:

override_dh_link:
	dh_link --package=dynare-common /usr/share/dynare/matlab/dynare.m $(MDIR)/dynare.m

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

=== debian/watch ===
version=3
opts="downloadurlmangle=s/view$/at_download\/file/,filenamemangle=s/.*dynare-(.*)\.tar.*/dynare-$1.tar.gz/" \
http://www.dynare.org/download/dynare-(\d\.\d)/source/ dynare-(.*)\.tar\.gz/view

## dynare 4.1.3

=== debian/changelog ===
dynare (4.1.3-1) unstable; urgency=low

  [ Iulian Udrea ]
  * New upstream bugfix release.
  * debian/control: 
    - Add Iulian Udrea to Uploaders.
    - Bump Standards-Version to 3.9.1; no changes required.

 -- Thomas Weber <tweber@debian.org>  Mon, 07 Feb 2011 10:24:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
  Thomas Weber <tweber@debian.org>,
  Christian T. Steigies <cts@debian.org>,
- Jordi Gutiérrez Hermoso <jordigh@gmail.com>
+ Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
+ Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
 Section: math
 Priority: optional
@@ -12,7 +13,7 @@
  texlive-formats-extra, xsltproc, dblatex (>=0.2.12-3), latex-beamer, docbook-xsl,
  quilt, po-debconf, gnuplot-nox
 Build-Conflicts: octave3.0
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git

## dynare 4.2.1

=== debian/changelog ===
dynare (4.2.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/dynare-matlab.postinst:
    Change the root directory of MEX source. (Closes: #630160)
  * debian/patches/doc-cleanup:
    Do not cleanup guide.bbl which is not autogenerated.
  * debian/patches/gcc-4.6:
    New patch for fixing problems with GCC 4.6.

 -- Thomas Weber <tweber@debian.org>  Wed, 15 Jun 2011 21:56:54 +0200

dynare (4.2.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * patches/info-filename-and-category:
    Remove obsolete patch.
  * debian/control:
    - Update build dependency, to reflect the fact that the reference
      manual is now in texinfo format.
    - Bump Standards-Version to 3.9.2; no changes required.
    - Add build dependency on texlive-math-extra, for Dynare++ documentation.
  * debian/dynare-doc.doc-base.manual, debian/dynare-doc.docs:
    Update paths following renaming of reference manual.
  * debian/rules:
    Do not build info file, it comes with upstream tarball.
  * Use matlab-support package for MATLAB-specific logic: (Closes: #608919)
    - Remove all debconf stuff.
    - debian/control: remove debconf dependency, dynare-matlab now depends
      on matlab-support
    - debian/dynare-matlab.install:
      Install source files under the recommended location: /usr/src/matlab.
    - debian/dynare-matlab-postinst:
      Use debian-matlab-mexhelper script.
  * Package new Dynare Emacs mode:
    - debian/dynare-common.emacsen-{install,remove,startup}:
      New scripts.
    - debian/dynare-common.install:
      Install dynare.el at the right location.
  * debian/dynare-common.install:
    Adapt for removed files.
  * debian/patches/fhs-compliance:
    Refresh patch.
  * debian/patches/doc-cleanup:
    Patch for files missing from clean rules.

 -- Thomas Weber <tweber@debian.org>  Sat, 28 May 2011 21:21:32 +0200

dynare (4.2.0-1) unstable; urgency=low

  [ Vincent Crevot ]
  * New upstream release
  * debian/copyright:
    Updated to reflect upstream changes.
  * debian/control:
    - Bump boost dependency to 1.36.
    - Add boost dependency to dynare-matlab package.
    - Add gfortran dependency to dynare-matlab package.
    - Add dependency on texlive-generic-recommended which contains the epsf
      package needed by doc/parallel/parallel.tex.
    - Add dependency on docbook2x to build the info doc. 
  * debian/rules:
    Build the info doc.
  * patches/extra-addpath:
    Refreshed patch.
  * debian/patches/build-matlab:
    Removed patch.
  * patches/info-filename-and-category:
    Rename info doc file and give it a directory category as per lintian.
  * debian/dynare-common.install:
    Install new matlab files.
  * debian/dynare-doc.info:
    Install info doc.
  * debian/dynare-matlab.install:
    Install MEX build system files.
  * debian/dynare-matlab.postinst:
    Use new MEX build system.

 -- Thomas Weber <tweber@debian.org>  Tue, 22 Feb 2011 20:28:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50), octave3.2-headers (>= 3.2.2),
- libboost-graph-dev, texlive, texlive-publishers, texlive-extra-utils,
- texlive-formats-extra, xsltproc, dblatex (>=0.2.12-3), latex-beamer, docbook-xsl,
- quilt, po-debconf, gnuplot-nox
+ libboost-graph-dev (>= 1.36), texlive, texlive-publishers, texlive-extra-utils,
+ texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
+ latex-beamer, quilt, gnuplot-nox, texlive-math-extra
 Build-Conflicts: octave3.0
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git
@@ -73,7 +73,8 @@
 Package: dynare-matlab
 Architecture: all
 Section: contrib/math
-Depends: ${misc:Depends}, debconf | debconf-2.0, sudo, dynare
+Depends: ${misc:Depends}, dynare, libboost-graph-dev (>= 1.36),
+ gfortran, matlab-support
 Description: MEX files for MATLAB users of Dynare
  Dynare is a pre-preprocessor and a collection of GNU Octave and
  MATLAB routines which can solve, simulate and estimate non-linear

## dynare 4.2.2

=== debian/changelog ===
dynare (4.2.2-2) unstable; urgency=low

  * debian/patches/hardening-ftbfs: patch for FTBFS with -Werror=format-security
    (Closes: #646258)
  * debian/rules: build with compilation flags from dpkg-buildflags.
    In particular, with dpkg >= 1.16.1, this enables hardening compilation flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 07 Nov 2011 16:15:32 +0100

dynare (4.2.2-1) unstable; urgency=low

  * Imported Upstream version 4.2.2
  * debian/patches/{doc-cleanup,gcc-4.6}: remove, applied upstream
  * debian/patches/{extra-addpath,fhs-compliance}: refresh, add DEP3 headers
  * debian/copyright: refresh, update to latest DEP5
  * Bump to Debhelper 8
  * Remove useless build dependency on quilt and gnuplot-nox
  * debian/control: rewrite packages description

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 05 Oct 2011 18:23:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/octave/debian/defs.make
+
+# Reminder: remove the next two lines when debhelper compat level will be upgraded to 9
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## dynare 4.2.4

=== debian/changelog ===
dynare (4.2.4-1) unstable; urgency=low

  * Imported Upstream version 4.2.4
  * debian/control: add octave-optim to Recommends
  * debian/patches/hardening-ftbfs: remove patch, applied upstream
  * debian/copyright: update upstream email
  * debian/patches/fhs-compliance: refresh patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 02 Dec 2011 17:12:29 +0100

=== debian/control ===
Source: dynare
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
 Thomas Weber <tweber@debian.org>,
 Christian T. Steigies <cts@debian.org>,
 Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
 Iulian Udrea <iulian@linux.com>
DM-Upload-Allowed: yes
Section: math
Priority: optional
Build-Depends: debhelper (>= 8), octave3.2-headers (>= 3.2.2),
 libboost-graph-dev (>= 1.36), texlive, texlive-publishers, texlive-extra-utils,
 texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
 latex-beamer, texlive-math-extra
Build-Conflicts: octave3.0
Standards-Version: 3.9.2
Homepage: http://www.dynare.org/
Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git

Package: dynare
Architecture: any
Depends: octave3.2 (>= 3.2.2), dynare-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: dynare-doc
Recommends: octave3.2-headers (>= 3.2.2), octave-optim
Description: platform for handling a wide class of economic models
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package provides a full installation of Dynare, to be run on top of GNU
 Octave.
 .
 It contains:
  * the binary preprocessor
  * dynamic loadable libraries for faster computation, compiled for Octave
  * the standalone program Dynare++ for higher-order approximations

Package: dynare-common
Architecture: all
Depends: ${misc:Depends}
Description: platform for handling a wide class of economic models
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package contains the various M-files which can be run under both GNU
 Octave and MATLAB.

Package: dynare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package contains full Dynare documentation, including a user guide and
 the reference manual.

Package: dynare-matlab
Architecture: all
Section: contrib/math
Depends: ${misc:Depends}, dynare, libboost-graph-dev (>= 1.36),
 gfortran, matlab-support
Description: MATLAB support for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package is only useful to users having MATLAB installed on their
 machine. It contains the source of the MEX files and will recompile them using
 the existing MATLAB installation.

## dynare 4.2.5

=== debian/changelog ===
dynare (4.2.5-1) unstable; urgency=low

  * Imported Upstream version 4.2.5
  * debian/control:
    + Build-Depend/Depend on Octave 3.6
    + Add missing dependency of dynare-matlab on make
    + dynare now suggests dynare-matlab
    + dynare now recommends octave-io (for reading XLS files)
    + Bump Standards-Version to 3.9.3, no changes needed
    + Remove obsolete Build-conflicts with octave3.0
    + Remove Iulan Udrea from Uploaders, with his consent
  * debian/rules: enable parallel build
  * debian/copyright: upgrade to machine-readable copyright format 1.0
  * Bump to debhelper compat level 9
  * Ship {qzcomplex,ordschur}.oct in package
  * debian/patches/fhs-compliance: refresh patch
  * debian/patches/extra-addpath: adapt for the new shadowed-function warning
  * Add lintian override for spurious extra-license warning

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 20 Mar 2012 09:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,24 @@
 Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
  Thomas Weber <tweber@debian.org>,
  Christian T. Steigies <cts@debian.org>,
- Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
- Iulian Udrea <iulian@linux.com>
+ Jordi Gutiérrez Hermoso <jordigh@gmail.com>
 DM-Upload-Allowed: yes
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 8), octave3.2-headers (>= 3.2.2),
+Build-Depends: debhelper (>= 9), liboctave-dev,
  libboost-graph-dev (>= 1.36), texlive, texlive-publishers, texlive-extra-utils,
  texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
  latex-beamer, texlive-math-extra
-Build-Conflicts: octave3.0
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git
 
 Package: dynare
 Architecture: any
-Depends: octave3.2 (>= 3.2.2), dynare-common, ${shlibs:Depends}, ${misc:Depends}
-Suggests: dynare-doc
-Recommends: octave3.2-headers (>= 3.2.2), octave-optim
+Depends: octave, dynare-common, ${shlibs:Depends}, ${misc:Depends}
+Suggests: dynare-doc, dynare-matlab
+Recommends: liboctave-dev, octave-optim, octave-io
 Description: platform for handling a wide class of economic models
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping
@@ -120,7 +118,7 @@
 Architecture: all
 Section: contrib/math
 Depends: ${misc:Depends}, dynare, libboost-graph-dev (>= 1.36),
- gfortran, matlab-support
+ gfortran, matlab-support, make
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/octave/debian/defs.make

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build --parallel -- all pdf html

# Don't run the testsuite
override_dh_auto_test:

override_dh_link:
	dh_link --package=dynare-common /usr/share/dynare/matlab/dynare.m $(MDIR)/dynare.m

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## dynare 4.3.0

=== debian/changelog ===
dynare (4.3.0-2) unstable; urgency=low

  * debian/rules: fix crash when only compiling arch-dependent packages

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 18 Jun 2012 20:59:56 +0000

dynare (4.3.0-1) unstable; urgency=low

  * Imported Upstream version 4.3.0
  * Add libmatio-dev and libgsl0-dev to Build-Depends
  * debian/rules: overrides for wrong perms and MacOS folder in upstream tarball
  * debian/copyright: reflect upstream changes
  * debian/dynare*.install: reflect upstream changes
  * Add octave-statistics and octave-control to Recommends of dynare
  * debian/watch: reflect the fact that upstream tarball is now xz compressed
  * Patches:
    + Refreshed:
      - fhs-compliance.patch
    + Removed, applied upstream:
      - ftbfs-gcc-47.patch
      - remove-workaround-octave-32.patch
    + New, imported from upstream:
      - shock-decomposition.patch
      - welfare-computation.patch
  * Ship NEWS files, GSA and parallel toolboxes docs in dynare-doc
  * Add lintian overrides for false positives on hardening in dynare

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 18 Jun 2012 18:52:22 +0000

dynare (4.2.5-2) unstable; urgency=low

  * ftbfs-gcc-47.patch: new patch (Closes: #672029)
  * remove-workaround-octave-32.patch: new patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 08 May 2012 21:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DM-Upload-Allowed: yes
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9), liboctave-dev,
- libboost-graph-dev (>= 1.36), texlive, texlive-publishers, texlive-extra-utils,
- texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
- latex-beamer, texlive-math-extra
+Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
+ texlive, texlive-publishers, texlive-extra-utils, texlive-formats-extra,
+ texlive-generic-recommended, texi2html, latex2html, latex-beamer,
+ texlive-math-extra, libmatio-dev, libgsl0-dev
 Standards-Version: 3.9.3
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
@@ -20,7 +20,8 @@
 Architecture: any
 Depends: octave, dynare-common, ${shlibs:Depends}, ${misc:Depends}
 Suggests: dynare-doc, dynare-matlab
-Recommends: liboctave-dev, octave-optim, octave-io
+Recommends: liboctave-dev, octave-optim, octave-io, octave-statistics,
+ octave-control
 Description: platform for handling a wide class of economic models
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,16 @@
 override_dh_link:
 	dh_link --package=dynare-common /usr/share/dynare/matlab/dynare.m $(MDIR)/dynare.m
 
+# Don't ship MacOS directory included in upstream tarball
+override_dh_install-indep:
+	dh_install -i
+	rm -r debian/dynare-matlab/usr/src/matlab/dynare-matlab/contrib/ms-sbvar/switch_dw/state_space/.DS_Store
+
+# Fix wrong permissions in upstream tarball
+override_dh_fixperms-indep:
+	dh_fixperms -i
+	find debian/dynare-matlab/usr/src/matlab/dynare-matlab/contrib/ms-sbvar -type f -exec chmod -x '{}' ';'
+
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source

=== debian/watch ===
version=3
opts="downloadurlmangle=s/view$/at_download\/file/,filenamemangle=s/.*dynare-(.*)\.tar.*/dynare-$1.tar.xz/" \
http://www.dynare.org/download/dynare-(\d\.\d)/source/ dynare-(.*)\.tar\.xz/view

## dynare 4.3.2

=== debian/changelog ===
dynare (4.3.2-1) experimental; urgency=low

  * Imported Upstream version 4.3.2
  * debian/copyright: reflect upstream changes
  * Stricter version dependency between dynare, dynare-common and dynare-matlab
  * dynare-matlab: non-default boost version now satisfies the dependency
    (LP: #1077301)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Jan 2013 04:56:28 +0100

dynare (4.3.1-1) experimental; urgency=low

  * Imported Upstream version 4.3.1
  * debian/watch: reflect upstream changes
  * debian/rules: adjust workarounds for problems in upstream tarballs
  * Use my @debian.org address
  * Remove patches applied upstream.
      + shock-decomposition.patch
      + welfare-computation.patch
  * Remove Christian T. Steiges and Jordi Gutiérrez Hermoso from Uploaders.
    They are no longer active in the maintenance of the package. Thanks to them
    for their help in the past!
  * Remove obsolete DM-Upload-Allowed flag
  * Add dependencies on SLICOT (no longer shipped in the upstream tarball)
      + Add build-dependency on libslicot-dev
      + Add dependency of dynare-matlab on libslicot-pic
  * Bump to Standards-Version 3.9.4, no changes needed
  * README.Debian: remove broken link
  * Complete short description of dynare-common, to make lintian happy
  * debian/copyright: reflect upstream changes
  * Add a debian/upstream file (DEP12)
  * Separate build-indep and build-arch rules to save resources on autobuilders

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 13 Oct 2012 20:50:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: dynare
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
- Thomas Weber <tweber@debian.org>,
- Christian T. Steigies <cts@debian.org>,
- Jordi Gutiérrez Hermoso <jordigh@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+ Thomas Weber <tweber@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
- texlive, texlive-publishers, texlive-extra-utils, texlive-formats-extra,
- texlive-generic-recommended, texi2html, latex2html, latex-beamer,
- texlive-math-extra, libmatio-dev, libgsl0-dev
-Standards-Version: 3.9.3
+ libmatio-dev, libgsl0-dev, libslicot-dev
+Build-Depends-Indep: texlive, texlive-publishers, texlive-extra-utils,
+ texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
+ latex-beamer, texlive-math-extra
+Standards-Version: 3.9.4
 Homepage: http://www.dynare.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/dynare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/dynare.git
 
 Package: dynare
 Architecture: any
-Depends: octave, dynare-common, ${shlibs:Depends}, ${misc:Depends}
+Depends: octave, dynare-common (= ${source:Version}), ${shlibs:Depends},
+ ${misc:Depends}
 Suggests: dynare-doc, dynare-matlab
 Recommends: liboctave-dev, octave-optim, octave-io, octave-statistics,
  octave-control
@@ -57,7 +56,7 @@
 Package: dynare-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: platform for handling a wide class of economic models
+Description: platform for handling a wide class of economic models (common files)
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping
  generations (OLG) models. The models solved by Dynare include those relying on
@@ -118,8 +117,9 @@
 Package: dynare-matlab
 Architecture: all
 Section: contrib/math
-Depends: ${misc:Depends}, dynare, libboost-graph-dev (>= 1.36),
- gfortran, matlab-support, make
+Depends: ${misc:Depends}, dynare (>= ${source:Version}),
+ libboost-graph-dev (>= 1.36) | libboost-graph1.50-dev,
+ gfortran, matlab-support, make, libslicot-pic
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/octave/debian/defs.make

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	dh_auto_build --parallel -- pdf html

# Prevent the compilation of arch-dep files
override_dh_auto_install-indep:

# Don't run the testsuite
override_dh_auto_test:

override_dh_link:
	dh_link --package=dynare-common /usr/share/dynare/matlab/dynare.m $(MDIR)/dynare.m

# Fix wrong permissions in upstream tarball
override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/dynare-matlab/usr/src/matlab/dynare-matlab \( -name '*.am' -or -name '*.m4' -or -name '*.ac' \) -exec chmod -x '{}' ';'

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## dynare 4.3.3

=== debian/changelog ===
dynare (4.3.3-4) unstable; urgency=low

  * gcc-4.8.patch: new patch, fixes compatibility with GCC 4.8 (Closes: #701270)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 May 2013 12:25:19 +0200

dynare (4.3.3-3) unstable; urgency=low

  * texlive-2013.patch: new patch, fix FTBFS against recent versions of Tex Live
  * Use dh-autoreconf to ensure recent autotools are used

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2013 17:46:37 +0200

dynare (4.3.3-2) unstable; urgency=low

  * Remove obsolete libboost-graph1.50-dev alternative from dynare-matlab deps

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 May 2013 14:30:44 +0200

dynare (4.3.3-1) experimental; urgency=low

  * Imported Upstream version 4.3.3
  * fhs-compliance.patch: update patch
  * dynare-matlab: boost 1.53 now satisfies the boost dependency

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 15 Apr 2013 18:18:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
- libmatio-dev, libgsl0-dev, libslicot-dev
+ libmatio-dev, libgsl0-dev, libslicot-dev, dh-autoreconf
 Build-Depends-Indep: texlive, texlive-publishers, texlive-extra-utils,
  texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
  latex-beamer, texlive-math-extra
@@ -118,7 +118,7 @@
 Architecture: all
 Section: contrib/math
 Depends: ${misc:Depends}, dynare (>= ${source:Version}),
- libboost-graph-dev (>= 1.36) | libboost-graph1.50-dev,
+ libboost-graph-dev (>= 1.36) | libboost-graph1.53-dev,
  gfortran, matlab-support, make, libslicot-pic
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/octave/debian/defs.make
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_build-indep:
 	dh_auto_build --parallel -- pdf html

=== debian/watch ===
version=3
http://www.dynare.org/release/source/ dynare-(.*)\.tar\.xz
